List Publications
curl --request GET \
--url https://api.example.com/api/v1/brands/{brand_id}/publications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/publications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/publications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creative_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variant_index": 123,
"action": "social_publish",
"platform": "facebook",
"status": "preflight",
"phase": "<string>",
"payload_hash": "<string>",
"destination_id": "<string>",
"destination_label": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"preview": {
"platform": "facebook",
"placement": "<string>",
"kind": "image",
"media_url": "<string>",
"media_sha256": "<string>",
"content_type": "<string>",
"width": 123,
"height": 123,
"copy": {
"caption": "<string>",
"primary_text": "<string>",
"headline": "<string>",
"description": "<string>",
"link_url": "<string>",
"call_to_action": "<string>"
},
"duration_s": 123
},
"confirmed_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"warnings": [
"<string>"
],
"remote_id": "<string>",
"permalink": "<string>",
"error_code": "<string>",
"error_message": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Publications
List Publications
GET
/
api
/
v1
/
brands
/
{brand_id}
/
publications
List Publications
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
Successful Response
Available options:
social_publish, meta_creative_save Available options:
facebook, instagram Available options:
preflight, queued, processing, succeeded, failed, needs_attention, cancelled Show child attributes
Show child attributes
Was this page helpful?